<template>
  <div clas="col-12">
    <router-link :to="{path:'new'}" append>
      <button class="btn btn-info float-right but">Nouvelle User Story</button>
    </router-link>
    <router-link :to="{path:'../../'}" append>
      <button class="btn btn-secondary float-right but">Retour</button>
    </router-link>
    <UserStoriesList v-bind:userStories="userStories" v-on:edit="edit" v-on:tasks="tasks"></UserStoriesList>
  </div>
</template>

<script>
import UserStoriesList from '@/components/shared/UserStories.List.vue';
export default {
  computed: {
    project() {
      return this.$store.getters.getCurrentProject;
    },
    sprint() {
      if (this.project.sprints && this.project.sprints[this.$route.params.sprintId]) {
        return this.project.sprints[this.$route.params.sprintId];
      }
      return new Array();
    },
    userStories() {
      if (this.project.sprints && this.project.sprints[this.$route.params.sprintId]) {
        return this.project.sprints[this.$route.params.sprintId].userStories;
      }
      return new Array();
    }
  },
  methods: {
    edit(index) {
      this.$router.push({ path: index + "/edit", append: "true" });
    },
    tasks(index) {
      this.$router.push({ path: index + "/tasks", append: "true" });
    }
  },
  components: {
    UserStoriesList
  }
}
</script>

<style scoped>
.but {
  margin-bottom: 50px;
  margin-left: 8px;
  margin-right: 8px;
}
</style>
